<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Jobs\BroadbandTraffic as Job;
use App\Models\Supplier;

class BroadbandTraffic extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'broadband:traffic:import'.
		' {--s|supplier= : Supplier Name}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Import Broadband Traffic from Suppliers';

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		if ($this->option('supplier')) {
			$o = Supplier::where('name','ilike',$this->option('supplier'))->singleOrFail();

			Job::dispatchSync($o->id);
			return;
		}

		foreach (Supplier::active()->get() as $o)
			Job::dispatchSync($o->id);
	}
}